Bug 1365882 - on create group copr, gpg key is generated for user and not for group
Summary: on create group copr, gpg key is generated for user and not for group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 12:01 UTC by clime
Modified: 2016-10-03 20:20 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:06:01 UTC


Attachments (Terms of Use)

Description clime 2016-08-10 12:01:59 UTC
Description of problem:

If I run: 

copr-cli create @copr/someproject --chroot fedora-23-x86_64

as user clime, then the new gpg key generated for email <clime#someproject@...> and not for email <@copr#someproejct@...>.

This is later fixed when a first successful build is run in the project.

Comment 1 clime 2016-08-10 12:37:28 UTC
Fixed by https://github.com/fedora-copr/copr/commit/01e56a14.

Comment 2 Fedora Update System 2016-08-17 14:43:12 UTC
copr-frontend-1.99-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 3 Fedora Update System 2016-08-17 14:43:30 UTC
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 4 Fedora Update System 2016-08-18 01:50:17 UTC
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 5 Fedora Update System 2016-08-18 01:51:16 UTC
copr-frontend-1.99-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d021ff520

Comment 6 clime 2016-08-18 16:19:30 UTC
New Copr has been released.

Comment 7 Fedora Update System 2016-09-12 06:25:12 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 8 Fedora Update System 2016-09-12 06:26:06 UTC
copr-frontend-1.101-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 9 Fedora Update System 2016-09-12 14:50:43 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 10 Fedora Update System 2016-09-12 15:26:51 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1155f62d6

Comment 11 Fedora Update System 2016-10-03 17:22:58 UTC
copr-frontend-1.101-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-03 20:20:53 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.